For the complete documentation index, see llms.txt. This page is also available as Markdown.

Related Person

get
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
namestringOptional
familystringOptional
givenstringOptional
addressstringOptional
statestringOptional
birthdatestringOptional
genderstringOptional
identifierstringOptional
patientstringOptional
datestringOptional
_countnumberOptional
_lastUpdatedstringOptional
_formatstringOptional
_offsetnumberOptional
_pagenumberOptional
_stateidstringOptional
_idstringOptional
_prettystringOptional
_summarystringOptional
_totalstringOptional
Responses
200

FHIR Resource Bundle

objectOptional

FHIR Resource Bundle

get/RelatedPerson
GET /fhir/RelatedPerson HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
post
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Body
objectOptional

FHIR Resource RelatedPerson

Responses
201

FHIR Resource RelatedPerson

objectOptional

FHIR Resource RelatedPerson

post/RelatedPerson
POST /fhir/RelatedPerson HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2

{}
{}
get
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Query parameters
_prettybooleanOptional
_summarystringOptional
Responses
200

FHIR Resource RelatedPerson

objectOptional

FHIR Resource RelatedPerson

get/RelatedPerson/{id}
GET /fhir/RelatedPerson/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
put
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Body
objectOptional

FHIR Resource RelatedPerson

Responses
200

FHIR Resource RelatedPerson

objectOptional

FHIR Resource RelatedPerson

put/RelatedPerson/{id}
PUT /fhir/RelatedPerson/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2

{}
{}
delete
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Responses
200

FHIR Resource RelatedPerson

objectOptional

FHIR Resource RelatedPerson

delete/RelatedPerson/{id}
DELETE /fhir/RelatedPerson/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
post
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Body
objectOptional

FHIR Resource Parameters

Responses
200

FHIR Resource RelatedPerson

objectOptional

FHIR Resource RelatedPerson

post/RelatedPerson/$validate
POST /fhir/RelatedPerson/$validate HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2

{}
{}

Last updated

Was this helpful?